$(document).ready(function() {
 $('ul#myvertmenu ul').each(function(i) { //Проверить все подменю
  if ($.cookie('submenuMark-' + i)) {  //Если информация о подменю сохранена в куках
   $(this).show().prev().removeClass('collapsed').addClass('expanded'); //Показать их 
  }
  else {
   $(this).hide().prev().removeClass('expanded').addClass('collapsed'); //Иначе скрыть
  }
  $(this).prev().addClass('collapsible').click(function() { //Присоединить обработчик события
  var this_i = $('ul#myvertmenu ul').index($(this).next()); //Получить индекс щёлкнутого подменю
  if ($(this).next().css('display') == 'none') {

   //Когда открыто подменю, свернуть остальные подменю
   $(this).parent('li').parent('ul').find('ul').each(function(j) {
    if (j != this_i) {
     $(this).slideUp(200, function () {
      $(this).prev().removeClass('expanded').addClass('collapsed');
      cookieDel($('ul#myvertmenu ul').index($(this)));
     });
    }
   });
   //Конец блока сворачивания остальных подменю

   $(this).next().slideDown(200, function () { //Показать подменю
   $(this).prev().removeClass('collapsed').addClass('expanded');
   cookieSet(this_i);
   });
  }
  else {
   $(this).next().slideUp(200, function () { //Спрятать подменю
    $(this).prev().removeClass('expanded').addClass('collapsed');
    cookieDel(this_i);
    $(this).find('ul').each(function() {
     $(this).hide(0, cookieDel($('ul#myvertmenu ul').index($(this)))).prev().removeClass('expanded').addClass('collapsed');
    });
   });
  }
  return false; //Не следовать по ссылке; true - следовать 
  });
 });
});

function cookieSet(index) {
 $.cookie('submenuMark-' + index, 'opened', {expires: null, path: '/'}); //Поставить куку "подменю раскрыто"
}

function cookieDel(index) {
 $.cookie('submenuMark-' + index, null, {expires: null, path: '/'}); //Удалить куку "подменю раскрыто"
}
